Spring til indhold

The line item tax object

Attributes

iduuid

Unique identifier

line_item_iduuid
line_items.id

Identifier of the related line item

tax_iduuid | null
taxes.id

Identifier of the related tax

amountinteger

Amount of the tax, in cents

labelMultiLanguageString

Localized label of the tax

percentagereal

Percentage of the tax

typeTaxType

Type of the tax

Related resources

Embed related resources in the response with the select parameter, for example select=*,line_items(*). Resources related through more than one column need the column as a hint, like table!column(*).

line_items(*)object | null
line_items

The line item referenced by line_item_id.

taxes(*)object | null
taxes

The tax referenced by tax_id.

The line item tax object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "line_item_id": "00000000-0000-0000-0000-000000000000",
  "tax_id": "00000000-0000-0000-0000-000000000000",
  "amount": 0,
  "label": {},
  "percentage": 0,
  "type": "on-top"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/line_item_taxes?limit=10&select=*,line_items(*),taxes(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List line item taxes

Filters

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax, in cents

labelFilter<MultiLanguageString>

Localized label of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<TaxType>

Type of the tax

Responses

200

A list of line item taxes with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /line_item_taxes
curl -X GET "https://api.bookingmood.com/v1/line_item_taxes?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "line_item_id": "00000000-0000-0000-0000-000000000000",
    "tax_id": "00000000-0000-0000-0000-000000000000",
    "amount": 0,
    "label": {},
    "percentage": 0,
    "type": "on-top"
  }
]

Create line item taxes

Body

Partial<LineItemTax> | Array<Partial<LineItemTax>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created line item taxes with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /line_item_taxes
curl -X POST "https://api.bookingmood.com/v1/line_item_taxes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 0,
    "label": {},
    "line_item_id": "00000000-0000-0000-0000-000000000000",
    "percentage": 0,
    "type": "on-top"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "line_item_id": "00000000-0000-0000-0000-000000000000",
    "tax_id": "00000000-0000-0000-0000-000000000000",
    "amount": 0,
    "label": {},
    "percentage": 0,
    "type": "on-top"
  }
]

Delete line item taxes

Filters

Without filters, this request deletes all line item taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax, in cents

labelFilter<MultiLanguageString>

Localized label of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<TaxType>

Type of the tax

Responses

200

The deleted line item taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /line_item_taxes
curl -X DELETE "https://api.bookingmood.com/v1/line_item_taxes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "line_item_id": "00000000-0000-0000-0000-000000000000",
    "tax_id": "00000000-0000-0000-0000-000000000000",
    "amount": 0,
    "label": {},
    "percentage": 0,
    "type": "on-top"
  }
]

Update line item taxes

Filters

Without filters, this request updates all line item taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax, in cents

labelFilter<MultiLanguageString>

Localized label of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<TaxType>

Type of the tax

Body

Partial<LineItemTax>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated line item taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /line_item_taxes
curl -X PATCH "https://api.bookingmood.com/v1/line_item_taxes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 0
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "line_item_id": "00000000-0000-0000-0000-000000000000",
    "tax_id": "00000000-0000-0000-0000-000000000000",
    "amount": 0,
    "label": {},
    "percentage": 0,
    "type": "on-top"
  }
]

Få styr på dine bookinger. Opbyg din egen virksomhed.

Bliv en del af de 1200+ uafhængige udlejningsvirksomheder, der bruger Bookingmood til at øge antallet af direkte bookinger og opbygge stærkere relationer til gæsterne.

Start gratis 14-dages prøveperiode